Verified Commit 952a18cf authored by mathieui's avatar mathieui

Add a documentation page for pyenv

parent 7f0227b7
Installing poezio Installing poezio
================= =================
.. important:: Python 3.4 or above is **required** .. warning:: Python 3.4 or above is **required**.
To install it on a distribution that doesn't provide it, see :ref:`pyenv <pyenv-install>`.
poezio in the GNU/Linux distributions poezio in the GNU/Linux distributions
------------------------------------- -------------------------------------
...@@ -76,7 +77,7 @@ packaging management. ...@@ -76,7 +77,7 @@ packaging management.
If you don’t want to use the update script for whatever reason, install the If you don’t want to use the update script for whatever reason, install the
following dependencies by hand; otherwise, skip to the following dependencies by hand; otherwise, skip to the
`installation part <poezio-install-label>`. :ref:`installation part <poezio-install-label>`.
"""""""" """"""""
...@@ -87,7 +88,7 @@ Poezio depends on slixmpp, a non-thread fork of the SleekXMPP library. ...@@ -87,7 +88,7 @@ Poezio depends on slixmpp, a non-thread fork of the SleekXMPP library.
.. code-block:: bash .. code-block:: bash
git clone git://git.louiz.org/slixmpp git clone git://git.poez.io/slixmpp
python3 setup.py install --user python3 setup.py install --user
...@@ -159,3 +160,4 @@ If you did, it should be in he ``$PATH`` as ``poezio``, so run: ...@@ -159,3 +160,4 @@ If you did, it should be in he ``$PATH`` as ``poezio``, so run:
.. _poezio-git: https://aur.archlinux.org/packages/poezio-git/ .. _poezio-git: https://aur.archlinux.org/packages/poezio-git/
.. _up-to-date package: https://apps.fedoraproject.org/packages/poezio .. _up-to-date package: https://apps.fedoraproject.org/packages/poezio
.. _pypi: https://pypi.python.org/pypi/poezio .. _pypi: https://pypi.python.org/pypi/poezio
...@@ -9,6 +9,7 @@ Contents: ...@@ -9,6 +9,7 @@ Contents:
carbons carbons
correct correct
personal_events personal_events
pyenv
separate separate
ssl ssl
troubleshooting troubleshooting
......
.. _pyenv-install:
Pyenv - Installing python 3.4 as an user
========================================
Pyenv_ is a useful script that allows you to install several python versions
in your user directory, and lets you manage which one you want depending on
the directory you are in. It is therefore useful for people who are on
distributions not providing the latest stable version, such as Debian or
CentOS.
You can follow the step-by-step `installation tutorial`_ on github that will
help you install it to your home directory (on step 5, you should use 3.4.2
which is the latest python 3.4 release at the time of writing this page); or
you can use the `automated installer`_ and use ``pyenv install 3.4.2``
thereafter.
Then you only need to add a ``.python-version`` file containing ``3.4.2`` in
your poezio directory to make the python version in that directory default to
the python 3.4.2 installed with pyenv.
.. _Pyenv: https://github.com/yyuu/pyenv
.. _installation tutorial: https://github.com/yyuu/pyenv#installation
.. _automated installer: https://github.com/yyuu/pyenv-installer
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment